Package org.eclipse.m2m.atl.dsls.core

# Class EMFTCSExtractor

java.lang.Object
org.eclipse.m2m.atl.dsls.core.EMFTCSExtractor

public class EMFTCSExtractor extends Object
A wrapper which allow to generate text from `IModel` with TCS.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`EMFTCSExtractor.EMFExtractorAdapter`

## Constructor Summary

Constructors
Constructor
Description
`EMFTCSExtractor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`extract(EMFModel source, OutputStream target, Map params)`
`Map`
`getParameterTypes()`
`String`
`getPrefix()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EMFTCSExtractor

public EMFTCSExtractor()

## Method Details

### getParameterTypes

public Map getParameterTypes()

### getPrefix

public String getPrefix()

### extract

public void extract(EMFModel source, OutputStream target, Map params)